ACN::PDU::pdu_flags Struct Reference

2.4.1. More...

`#include <pdu.h>`

## Public Member Functions

void | set (const uint8_t)
| pdu_flags::set More...
| operator uint8_t () const
| operator uint8_t

## Public Attributes

bool | hasLength: 1
| true if pdu length is > 0x0fff
bool | hasVector: 1
| false if Pdu inherits it's vector
bool | hasHeader: 1
| false if Pdu inherits it's header
bool | hasData: 1
| false if Pdu inherits it's data

## Detailed Description

2.4.1.

Flags

Flags is a 4-bit field containing flags L, V, H and D which declare how the PDU is packed.

## Member Function Documentation

## set()

void ACN::PDU::pdu_flags::set | ( | const uint8_t | val | ) |

pdu_flags::set

Parameters

  val |

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/acn/pdu.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/acn/pdu.cpp